#!/usr/bin/env python

from collections import Counter
import re
import sys
import pathlib

#def main(argv):

words = re.findall(r'\w+', open(sys.argv[2]).read().lower())
counts = Counter(words)
s = sum(counts.values())
a = counts.most_common()
a = sorted(counts.items())

file4 = pathlib.Path(sys.argv[3])
if file4.exists ():
    f=open(sys.argv[3],"a")
    print ("File exist")
else:
    f=open(sys.argv[3],"w+")
    print ("File not exist")

f1 = open(sys.argv[1],"r")
for line in f1:
    p = line.split()  
    label = p[0]
    option = int(p[1])
    xshift = float(p[2])
    yshift = float(p[3])
    nlipid = int(p[4])
    charge = int(p[5])
f1.close()

f2 = open("step1.1_lipid_info.txt","r")
liptype1 = []
for line in f2:
    q1 = line.split()  
    label1 = q1[0]
    if label1 == label:
       x_com1 = float(q1[1])
       y_com1 = float(q1[2])
       nlipid1 = int(q1[3])
       charge1 = int(q1[4])
       ntype1 = int(q1[5])
       for m in range(0,ntype1):
           liptype1.append(int(q1[6+m]))
f1.close()
#print(label1,x_com1,y_com1,nlipid1,charge1,ntype1,liptype1)
# calc score
score = 0
for m in range(0,ntype1):
    score += abs((list(a[m])[1]/nlipid - liptype1[m]/nlipid1)/(liptype1[m]/nlipid))
#print(score)
score = 1.0/score
if s == nlipid :
   #f.write("%10s \n" %(txt1))
   f.write("%15s %7s %7s %7s %7s %5s %5s %5s" %("label","option","score","xshift","yshift","#lip","chg","#type"))
   for i in range(len(a)):
      f.write("%5s " %(list(a[i]))[0])
   f.write("\n")
   f.write("%15s %7d %7.4f %7.4f %7.4f %5d %5d %5d" %(label,option,score,xshift,yshift,nlipid,charge,len(a)))
   for j in range(len(a)):
      #f.write("%3d(%5.2f) " %(list(a[j])[1],100*list(a[j])[1]/s))
      f.write("%5d " %(list(a[j])[1]))
   f.write("\n")
   f.close()
else:
   f.write("Something wrong! The number of lipid does not match!\n")
   f.close()



