#!/bin/bash

top="/lustre/mhsieh/eng_memb/mol/crooks_p_run1/toppar.str"
topdir="/lustre/mhsieh/eng_memb/mol/crooks_p_run1//toppar"
psf="/lustre/mhsieh/eng_memb/mol/crooks_p_run1/step5_assembly.psf"
crd="/lustre/mhsieh/eng_memb/mol/crooks_p_run1/step5_assembly.crd"
xst="/lustre/mhsieh/eng_memb/mol/crooks_p_run1/namd/step7_production-16.xst"

# toppar 
# rtfprm.str
rm -r toppar*

ln -s $top .
ln -s $topdir .

# generate rtfprm.str
echo "* RTF/PRM" > rtfprm.str
echo "*" >> rtfprm.str
echo "" >> rtfprm.str
echo "stream ./toppar.str" >> rtfprm.str
echo "" >> rtfprm.str
echo "return" >> rtfprm.str

# generate psfcrd.str
echo "* psf and coord for bilayer" > psfcrd.str
echo "*" >> psfcrd.str
echo " " >> psfcrd.str
echo "open read unit 2 card name $psf" >> psfcrd.str 
echo "read psf card unit 2" >> psfcrd.str
echo "close unit 2" >> psfcrd.str
echo " " >> psfcrd.str
echo "open read unit 2 card name $crd" >> psfcrd.str 
echo "read coor card unit 2" >> psfcrd.str
echo "close unit 2" >> psfcrd.str
echo " " >> psfcrd.str
echo "return" >> psfcrd.str

# generate cryst.str
# box.cry
rm cryst.str
cp cryst_head tmp1_cryst 
awk 'END {print "crystal define tetragonal" " "  $2 " " $6 " " $10 " " "90 90 90"}' $xst >> tmp1_cryst  
cat tmp1_cryst cryst_tail >> cryst.str

rm tmp*

exit
