#!/bin/csh
# created by Min-Kang Hsieh for asymmetric membrane builder
module load python/3.7.7 

hostname

# In DT2
set chm = "/homes/jbklauda/charmm/c43b1/exec/gnu/charmm"
# AFTER RUNNING STEP 0 FOR INPUT VARIABLES CHECK
# INVOKE CHARMM
### step1 ###
   echo step1.0_input.scr
# isolate lipid/water/ion of each leaflet and provide lipid info in step1.1_lipid_info.txt
   echo "$chm < ./step1.1_iso_monolayer.inp  >& step1.1_iso_monolayer.out "
   $chm < ./step1.1_iso_monolayer.inp  >& step1.1_iso_monolayer.out 
   wait
   cat step1.0_input_check.txt
   cat step1.1_iso_monolayer.out | tail -10

   # adding lipid options for user selections(change Buildmax in max_options.str; default is 5)
   # options info in step1.2_adding_lipid_info.txt; a higher score is better 
   # if the options is not good then save step1.2_adding_lipid_info.txt as another file and repeat the step1.2  
   echo "$chm < ./step1.2_adding_lipid_options.inp >& step1.2_adding_lipid_options.out"
   $chm < ./step1.2_adding_lipid_options.inp >& step1.2_adding_lipid_options.out
   wait
   cat step1.2_adding_lipid_options.out | tail -10
   cat step1.2_adding_lipid_info.txt
   echo "find the options for the next step"
###########################################################################################################################
