#!/bin/csh
# created by Min-Kang Hsieh for asymmetric membrane builder
module load python/3.7.7 

hostname

# In DT2
set chm = "/homes/jbklauda/charmm/c43b1/exec/gnu/charmm"
# AFTER RUNNING STEP 0 FOR INPUT VARIABLES CHECK
# INVOKE CHARMM
### step1 ###
   # input option in step1.2_opt.str and generate correspoding lipid/water/ion of the enlarged leaflet
   # generate step1.3_adding_lipid_option.str for step2
   cat step1.2_opt.str
   echo "$chm < ./step1.3_adding_lipid.inp >& step1.3_adding_lipid.out"
   $chm < ./step1.3_adding_lipid.inp >& step1.3_adding_lipid.out
   wait
   cat step1.3_adding_lipid.out | tail -10
   cat step1.3_adding_lipid_check.txt 
### step2 ###
   # if use the enlarged leaflet; then chose step2a_gen_bilayer.inp
   # input step2_opt_a.str to combine the enlarged and the selected large leaflets
   cat step2_opt_a.str 
   echo "$chm < ./step2a_gen_bilayer.inp >& step2a_gen_bilayer.out "
   $chm < ./step2a_gen_bilayer.inp >& step2a_gen_bilayer.out 
   wait
   cat step2a_gen_bilayer.out | tail -10
   # if the difference of size is less than %5 ; then chose step2b_gen_bilayer.inp
   # input step2_opt_b.str to combine the enlarged and the selected large leaflets
   #$chm < ./step2b_gen_bilayer.inp >& step2b_gen_bilayer.out 
   #wait
   #cat step2b_gen_bilayer.out | tail -10

### step3 ###
   # read the size of two leaflets lipid charge/ions/water 
   echo "$chm < ./step3_size.inp >& step3_size.out"
   $chm < ./step3_size.inp >& step3_size.out
   wait
   cat step3_size.out | tail -10
   cat step3_size.str
### step4 ###
   echo "$chm < ./step4.1_lipid.inp >& step4.1_lipid.out "
   $chm < ./step4.1_lipid.inp >& step4.1_lipid.out 
   wait
   cat step4.1_lipid.out | tail -10
   # skip
   #   $chm < ./step4.2_waterbox.inp >& step4.2_waterbox.out
   #wait
   # keep/remove/add ions; change conc (step3_size.str) is also available 
   echo "$chm < ./step4.3_ion.inp >& step4.3_ion.out"
   $chm < ./step4.3_ion.inp >& step4.3_ion.out
   wait
   cat step4.3_ion.out | tail -10
    
### step5 ###
   echo "$chm < ./step5.1_assembly.inp >& step5.1_assembly.out"
   $chm < ./step5.1_assembly.inp >& step5.1_assembly.out
   wait
   cat step5.1_assembly.out | tail -10

### step6 ###
   echo "$chm < ./step5.2_input.inp >& step5.2_input.out"
   $chm < ./step5.2_input.inp >& step5.2_input.out
   wait
   cat step5.2_input.out | tail -10
   
###########################################################################################################################
