#!/bin/bash
# Read the input valuables from run_builder.scr 
# Check the size difference of lipid layers 
outputfile="step1.0_input_check.txt"  
outputfile1="step1.0_input_check.str"  
rm -r ./$outputfile
rm -r ./$outputfile1
touch ./$outputfile 
touch ./$outputfile1 

inputname1=$1
inputname2=$5
inputXTS1=${inputname1}.xst  
inputXTS2=${inputname2}.xst

xstline1=$(expr $(expr $3 \* $4) + 3) # two head lines and skip first line (0 ts) 
xstline2=$(expr $(expr $7 \* $8) + 3) # two head lines and skip first line (0 ts) 
cellA1="$(head -n $xstline1 $inputXTS1 | tail -1 | awk '{print $2}')" 
cellB1="$(head -n $xstline1 $inputXTS1 | tail -1 | awk '{print $6}')" 
cellC1="$(head -n $xstline1 $inputXTS1 | tail -1 | awk '{print $10}')" 
#cellA2=$8 
cellA2="$(head -n $xstline2 $inputXTS2 | tail -1 | awk '{print $2}')" 
cellB2="$(head -n $xstline2 $inputXTS2 | tail -1 | awk '{print $6}')" 
cellC2="$(head -n $xstline2 $inputXTS2 | tail -1 | awk '{print $10}')" 
Xratio=$(bc <<<"scale=3; $cellA1 / $cellA2")
printf "Input Membrane 1\n" > $outputfile
printf '%3s %-9s = %s\n' 'VAR' 'MEMBR1' $1 >> $outputfile 
printf '%3s %-9s = %s\n' 'VAR' 'BOXTYPE' 'RECT' >> $outputfile 
printf '%3s %-9s = %s\n' 'VAR' 'XTLTYPE' 'TETRAGONAL' >> $outputfile 
printf '%3s %-9s = %d\n' 'VAR' 'NLIPID1' $2 >> $outputfile 
printf '%3s %-9s = %d\n' 'VAR' 'IFRAME1' $3 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'A1' $cellA1 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'B1' $cellB1 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'C1' $cellC1 >> $outputfile 
printf '\n' >> $outputfile
printf "Input Membrane 2\n" >> $outputfile
printf '%3s %-9s = %s\n' 'VAR' 'MEMBR2' $5 >> $outputfile 
printf '%3s %-9s = %s\n' 'VAR' 'BOXTYPE' 'RECT' >> $outputfile 
printf '%3s %-9s = %s\n' 'VAR' 'XTLTYPE' 'TETRAGONAL' >> $outputfile 
printf '%3s %-9s = %d\n' 'VAR' 'NLIPID2' $6 >> $outputfile 
printf '%3s %-9s = %d\n' 'VAR' 'IFRAME2' $7 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'A2' $cellA2 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'B2' $cellB2 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'C2' $cellC2 >> $outputfile 
printf '%3s %-9s = %f\n' 'VAR' 'X1vsX2' $Xratio >> $outputfile 
printf '\n' >> $outputfile
#printf "Input Solvent System\n" >> $outputfile
#printf '%3s %-9s = %d\n' 'VAR' 'HYDRATE' $7 >> $outputfile 
#printf '%3s %-9s = %2.3f\n' 'VAR' 'CONC' $8 >> $outputfile 
#printf '\n' >> $outputfile

if (( $(echo "$Xratio < 1.05" | bc -l) )) && (( $(echo "$Xratio > 0.95" | bc -l) ))
then 
   printf 'A difference of X lenght between two monolayers is %f %% (within 5 %%)\n' $(bc <<< "scale=3; (1-$Xratio)*100") >> $outputfile 
   printf "No new monolayer will be generated \n" >> $outputfile
printf '\n' >> $outputfile
else
   printf 'A difference of X lenght between two monolayers is larger than %f %%\n' $(bc <<< "scale=3; (1-$Xratio)*100") >> $outputfile 
   printf "Increase surface area of the samll monolayer by adding lipids\n" >> $outputfile
printf '\n' >> $outputfile
fi 

#printf "User guide for asymmetric membrane builder\n" >> $outputfile
#printf 'Step 0: run ./step0_input.scr and check the variables in %s\n' $outputfile1 >> $outputfile
#printf "        run the recenter scripts to get the input bilayers at the center (z=0)\n" $outputfile1 >> $outputfile
#printf "Step 1: run ./charmm < step1.1_gen_monolayer.inp to generate monolayers\n" >> $outputfile
#printf "        run ./charmm < step1.2_adding_lipid.inp to decide whether to add lipids\n" >> $outputfile
#printf "        note>: parameter files (step1.2_adding_lipid_check_N.str) will generated\n" >> $outputfile
#printf "        note>: N = 1~4: no lipid will be added\n" >> $outputfile
#printf "        note>: N >= 5:  extra lipids will be added\n" >> $outputfile
#printf "        note>: Users have to choose one parameter file (the combination of monolayers) to form a bilayer\n" >> $outputfile
#printf "Step 2: run ./charmm < step2_gen_bilayer.inp to generate a bilayer\n" >> $outputfile
#printf "Step 3: run ./charmm < tep3_size.inp to generate the simulation box (determine the box size)\n" >> $outputfile
#printf "Step 4: run ./charmm < step4.1_lipid.inp to generate the coordinate files for lipid component\n" >> $outputfile
#printf "        run ./charmm < step4.2_waterbox.inp to generate the coordinate files for water component\n" >> $outputfile
#printf "        run ./charmm < step4.3_ion.inp to generate the coordinate files for ions component\n" >> $outputfile
#printf "Step 5: run ./charmm < step5.1_assembly.inp to assemble each component in the simulation box\n" >> $outputfile
#printf "        run ./charmm < step5.2_input.inp to prepare NAMD package for equilibrium and production runs\n" >> $outputfile
#printf '\n' >> $outputfile
cat $outputfile

printf '%3s %-9s = %s\n' 'SET' 'MEMBR1' $1 >> $outputfile1 
printf '%3s %-9s = %d\n' 'SET' 'NLIPID1' $2 >> $outputfile1 
printf '%3s %-9s = %d\n' 'SET' 'IFRAME1' $3 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'A1' $cellA1 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'B1' $cellB1 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'C1' $cellC1 >> $outputfile1 
printf '%3s %-9s = %s\n' 'SET' 'MEMBR2' $5 >> $outputfile1 
printf '%3s %-9s = %d\n' 'SET' 'NLIPID2' $6 >> $outputfile1 
printf '%3s %-9s = %d\n' 'SET' 'IFRAME2' $7 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'A2' $cellA2 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'B2' $cellB2 >> $outputfile1 
printf '%3s %-9s = %f\n' 'SET' 'C2' $cellC2 >> $outputfile1 
printf '%3s %-9s = %d\n' 'SET' 'HYDRATE' $9 >> $outputfile1 
printf '%3s %-9s = %2.3f\n' 'SET' 'CONC' $10 >> $outputfile1 
